{
    "name" : "HNAT AMMS",
    "appid" : "__UNI__D7E01F2",
    "description" : "",
    "versionName" : "2.1.13",
    "versionCode" : 2113,
    "transformPx" : false,
    /* 5+App特有相关 */
    "app-plus" : {
        "usingComponents" : true,
        "nvueCompiler" : "uni-app",
        "nvueStyleCompiler" : "uni-app",
        "compilerVersion" : 3,
        "splashscreen" : {
            "alwaysShowBeforeRender" : true,
            "waiting" : true,
            "autoclose" : true,
            "delay" : 0
        },
        "compatible" : {
            "ignoreVersion" : true //true表示忽略版本检查提示框，HBuilderX1.9.0及以上版本支持
        },
        /* 模块配置 */
        "modules" : {
            "Fingerprint" : {},
            "Barcode" : {},
            "Camera" : {},
            "SQLite" : {},
            "Webview-x5" : {},
            "Bluetooth" : {},
            "Maps" : {},
            "Geolocation" : {}
        },
        /* 应用发布信息 */
        "distribute" : {
            /* android打包配置 */
            "android" : {
                "permissions" : [
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-permission android:name=\"android.permission.INTERNET\"/>",
                    "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_SMS\"/>",
                    "<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>",
                    "<uses-permission android:name=\"android.permission.SEND_SMS\"/>",
                    "<uses-permission android:name=\"android.permission.USE_FINGERPRINT\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_EXTERNAL_STORAGE\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SMS\"/>"
                ],
                "schemes" : "amms",
                "abiFilters" : [ "armeabi-v7a", "arm64-v8a", "x86" ],
                "autoSdkPermissions" : false
            },
            //...
            /* ios打包配置 */
            "ios" : {
                "urltypes" : "amms",
                "privacyDescription" : {
                    "NSPhotoLibraryUsageDescription" : "从相册中读取图片",
                    "NSCameraUsageDescription" : "调用系统摄像头进行拍照"
                },
                "dSYMs" : false,
                "idfa" : false
            },
            /* SDK配置 */
            "sdkConfigs" : {
                "ad" : {},
                "maps" : {
                    "amap" : {
                        "name" : "amap_13976861791AwMQkltiz",
                        "appkey_ios" : "f9ad279b24feec88bb0dc11f7a1cc27e",
                        "appkey_android" : "7e587d436093d1c2bf544a4d038e0421"
                    }
                },
                "geolocation" : {
                    "system" : {
                        "__platform__" : [ "ios", "android" ]
                    },
                    "amap" : {
                        "name" : "amap_13976861791AwMQkltiz",
                        "__platform__" : [ "ios", "android" ],
                        "appkey_ios" : "f9ad279b24feec88bb0dc11f7a1cc27e",
                        "appkey_android" : "7e587d436093d1c2bf544a4d038e0421"
                    }
                }
            },
            "icons" : {
                "android" : {
                    "hdpi" : "unpackage/res/icons/72x72.png",
                    "xhdpi" : "unpackage/res/icons/96x96.png",
                    "xxhdpi" : "unpackage/res/icons/144x144.png",
                    "xxxhdpi" : "unpackage/res/icons/192x192.png"
                },
                "ios" : {
                    "appstore" : "unpackage/res/icons/1024x1024.png",
                    "iphone" : {
                        "app@2x" : "unpackage/res/icons/120x120.png",
                        "app@3x" : "unpackage/res/icons/180x180.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "spotlight@3x" : "unpackage/res/icons/120x120.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "settings@3x" : "unpackage/res/icons/87x87.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png",
                        "notification@3x" : "unpackage/res/icons/60x60.png"
                    },
                    "ipad" : {
                        "app" : "unpackage/res/icons/76x76.png",
                        "app@2x" : "unpackage/res/icons/152x152.png",
                        "proapp@2x" : "unpackage/res/icons/167x167.png",
                        "spotlight" : "unpackage/res/icons/40x40.png",
                        "spotlight@2x" : "unpackage/res/icons/80x80.png",
                        "settings" : "unpackage/res/icons/29x29.png",
                        "settings@2x" : "unpackage/res/icons/58x58.png",
                        "notification" : "unpackage/res/icons/20x20.png",
                        "notification@2x" : "unpackage/res/icons/40x40.png"
                    }
                }
            }
        },
        "nativePlugins" : {}
    },
    "plus" : {
        "distribute" : {
            "google" : {
                "autoSdkPermissions" : false // 不自动添加第三方SDK需要的Android权限
            }
        }
    },
    "h5" : {
        "devServer" : {
            "proxy" : {
                "^/mroapi" : {
                    "target" : "http://10.127.12.11:8080",
                    // "target" : "https://amms.hnatechnic.com",
                    "changeOrigin" : true, //是否跨域
                    "secure" : false // 设置支持https协议的代理
                },
                "^/papi" : {
                    "target" : "http://10.52.21.60:10066",
                    // "target" : "https://amms.hnatechnic.com",
                    "changeOrigin" : true, //是否跨域
                    "secure" : false // 设置支持https协议的代理
                }
            }
        },
        "domain" : "https://amms.hnatechnic.com",
        "router" : {
            "mode" : "hash",
            "base" : "/mroapp/"
        },
        "sdkConfigs" : {
            "maps" : {
                "qqmap" : {
                    "key" : "WJVBZ-RR36D-RHW4B-HNRHY-VVKB7-7GF6U"
                }
            }
        },
        "optimization" : {
            "treeShaking" : {
                "enable" : true
            }
        },
        "title" : "HNA AMMS",
        "template" : "index.html"
    },
    /* 快应用特有相关 */
    "quickapp" : {},
    /* 小程序特有相关 */
    "mp-weixin" : {
        "appid" : "12345",
        "setting" : {
            "urlCheck" : false
        },
        "usingComponents" : true
    },
    "mp-alipay" : {
        "usingComponents" : true
    },
    "mp-baidu" : {
        "usingComponents" : true
    },
    "mp-toutiao" : {
        "usingComponents" : true
    },
    "uniStatistics" : {
        "enable" : false
    },
    "vueVersion" : "3",
    "locale" : "auto"
} /* 小程序特有相关 */

// "domain" : "http://10.127.12.11:8080",
// "router" : {
//     "mode" : "hash",
//     "base" : "./"
// }
/* 快应用特有相关 */

